Packages - Bug #2270

Can't uninstall certain Xorg packages because it depends on itself
2019-04-05 07:44 AM - Anonymous

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

Some Xorg packages in my system cannot be removed due to depending on itself. These are packages that have been installed on
top of the base parabola installation so they are not essential packages either.

For example | installed xorg-drivers and now | cannot remove it because it depends on xf86-input-libinput. When | try and remove
xf86-input-libinput it says it cannot because it depends upon itself:

[user@parabola] sudo pacman -Rns xf86-input-libinput
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
xorg-server removing xf86-input-libinput breaks dependency 'xf86-input-libinput’

This same problem occurs with uninstalling xorg-xinit and xorg-server too and possibly some other packages too.

| do not really need/want to remove many of these packages as | currently have Xorg issues which | need to fix which | will post in
another issue on Parabola. | just thought this is worth reporting since this issue is kind of strange.

Current system info:
uname -a: Linux <hostname> 5.0.5-gnu-1 #1 SMP PREEMPT Thu Mar 28 21:36:12 UTC 2019 x86_64 GNU/Linux

Device: ThinkPad T400 with Libreboot
Parabola version: Parabola OpenRC Cli

History

#1 - 2019-04-05 10:46 AM - bill-auger

off-hand i would say this is not a bug - some packages are inter-dependent

just because those packages are not essential for a basic system, does not mean they are independent of all others - this is probably just a case of
the package manager doing its job of protecting the system sanity

#2 - 2019-04-06 01:17 PM - freemor

- Status changed from unconfirmed to not-a-bug

: xorg-server removing xf86-input-libinput breaks dependency 'xf86-input-libinput'
is saying that xorg-server depends on xf86-input-libinput

you can easily check that xf86-input-libinput does indeed not depend upon itself with

pacman -Qi xf86-input-libinput

-or-

pactree -r xf86-input-libinput

Closing as invalid
